class CreateSalePayments < ActiveRecord::Migration[5.1]
  def change
    create_table :sale_payments, :id => false do |t|
      t.string :sale_payment_id, :limit => 16, :primary_key => true #custom primary key - to ensure consistence for cloud syncing

      t.string :sale_id, foreign_key: true, :limit => 16
      t.string :payment_method, :null => false, :default => "cash"
      t.decimal :payment_amount, :precision => 10, :scale => 2, :null => false, :default => 0.00
      t.decimal :outstanding_amount, :precision => 10, :scale => 2, :null => false, :default => 0.00
      t.string :payment_reference
      t.string :payment_status, :null => false, :default => "new"

      t.timestamps
    end
  end
end
